MindWrtParserInternal::ListProperties Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MindWrtParserInternal::ListProperties Struct Reference

Internal: the list properties of a MindWrtParser. More...

## Public Member Functions
| ListProperties ()
| constructor More...
void | updateHeadingList ()
| updates the heading list More...
MWAWListLevel | getLevel (int level) const
| returns a list level More...

## Public Attributes
int | m_startListIndex
| the first list index More...
int | m_headingStyle
| the heading labels style More...
bool | m_headingFullSubLevels
| true if heading labels show all sub level More...
std::vector< MWAWListLevel > | m_headingListLevels
| the heading list More...
int | m_listLevelsRepeatPos
| the position used to repeat level More...
bool | m_showFirstLevel
| true if we show the level 1 label More...
bool | m_useHeadingStyle
| true if we need to use heading style More...

## Detailed Description

Internal: the list properties of a MindWrtParser.

## Constructor & Destructor Documentation

MindWrtParserInternal::ListProperties::ListProperties | ( |  | ) |
| inline

constructor

## Member Function Documentation

MWAWListLevel MindWrtParserInternal::ListProperties::getLevel | ( | int | level | ) | const

returns a list level

Referenced by MindWrtParserInternal::ZoneInfo::updateListId().

void MindWrtParserInternal::ListProperties::updateHeadingList | ( |  | ) |

updates the heading list

## Member Data Documentation

bool MindWrtParserInternal::ListProperties::m_headingFullSubLevels

true if heading labels show all sub level

Referenced by getLevel().

std::vector<MWAWListLevel> MindWrtParserInternal::ListProperties::m_headingListLevels

the heading list

Referenced by getLevel(), and updateHeadingList().

int MindWrtParserInternal::ListProperties::m_headingStyle

the heading labels style

Referenced by updateHeadingList(), and MindWrtParserInternal::ZoneInfo::updateListId().

int MindWrtParserInternal::ListProperties::m_listLevelsRepeatPos

the position used to repeat level

Referenced by updateHeadingList().

bool MindWrtParserInternal::ListProperties::m_showFirstLevel

true if we show the level 1 label

Referenced by getLevel(), and MindWrtParserInternal::ZoneInfo::updateListId().

int MindWrtParserInternal::ListProperties::m_startListIndex

the first list index

Referenced by MindWrtParserInternal::ZoneInfo::updateListId().

bool MindWrtParserInternal::ListProperties::m_useHeadingStyle

true if we need to use heading style

Referenced by MindWrtParserInternal::ZoneInfo::updateListId().

The documentation for this struct was generated from the following file:

- MindWrtParser.cxx